package com.bytedance.ies.nle.editor_jni;

import X.C0180TLy;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class NLEVideoHWEncodeSettings {
    public transient long LIZ;
    public transient boolean LIZIZ;

    static {
        Covode.recordClassIndex(29903);
    }

    public void finalize() {
        LIZ();
    }

    public NLEVideoHWEncodeSettings() {
        this(NLEMediaJniJNI.new_NLEVideoHWEncodeSettings());
        MethodCollector.i(2228);
        MethodCollector.o(2228);
    }

    private synchronized void LIZ() {
        MethodCollector.i(4758);
        long j = this.LIZ;
        if (j != 0) {
            if (this.LIZIZ) {
                this.LIZIZ = false;
                NLEMediaJniJNI.delete_NLEVideoHWEncodeSettings(j);
            }
            this.LIZ = 0;
        }
        MethodCollector.o(4758);
    }

    public final void LIZ(float f) {
        MethodCollector.i(1205);
        NLEMediaJniJNI.NLEVideoHWEncodeSettings_mHp_bitrate_ratio_set(this.LIZ, this, f);
        MethodCollector.o(1205);
    }

    public final void LIZIZ(float f) {
        MethodCollector.i(3170);
        NLEMediaJniJNI.NLEVideoHWEncodeSettings_mFullHd_bitrate_ratio_set(this.LIZ, this, f);
        MethodCollector.o(3170);
    }

    public final void LIZJ(float f) {
        MethodCollector.i(1871);
        NLEMediaJniJNI.NLEVideoHWEncodeSettings_mSd_bitrate_ratio_set(this.LIZ, this, f);
        MethodCollector.o(1871);
    }

    public final void LIZLLL(float f) {
        MethodCollector.i(1938);
        NLEMediaJniJNI.NLEVideoHWEncodeSettings_mH_fps_bitrate_ratio_set(this.LIZ, this, f);
        MethodCollector.o(1938);
    }

    public final void LJ(float f) {
        MethodCollector.i(1941);
        NLEMediaJniJNI.NLEVideoHWEncodeSettings_transition_bitrate_ratio_set(this.LIZ, this, f);
        MethodCollector.o(1941);
    }

    public final void LJFF(float f) {
        MethodCollector.i(1943);
        NLEMediaJniJNI.NLEVideoHWEncodeSettings_m2K_bitrate_ratio_set(this.LIZ, this, f);
        MethodCollector.o(1943);
    }

    public final void LJI(float f) {
        MethodCollector.i(1945);
        NLEMediaJniJNI.NLEVideoHWEncodeSettings_m4K_bitrate_ratio_set(this.LIZ, this, f);
        MethodCollector.o(1945);
    }

    public NLEVideoHWEncodeSettings(long j) {
        this.LIZIZ = true;
        this.LIZ = j;
    }

    public final void LIZ(int i) {
        MethodCollector.i(1947);
        NLEMediaJniJNI.NLEVideoHWEncodeSettings_mGop_set(this.LIZ, this, i);
        MethodCollector.o(1947);
    }

    public final void LIZIZ(int i) {
        MethodCollector.i(1950);
        NLEMediaJniJNI.NLEVideoHWEncodeSettings_mCodecType_set(this.LIZ, this, i);
        MethodCollector.o(1950);
    }

    public final void LIZ(long j) {
        MethodCollector.i(4829);
        NLEMediaJniJNI.NLEVideoHWEncodeSettings_mBitrate_set(this.LIZ, this, j);
        MethodCollector.o(4829);
    }

    public final void LIZ(C0180TLy tLy) {
        MethodCollector.i(4902);
        NLEMediaJniJNI.NLEVideoHWEncodeSettings_mProfile_set(this.LIZ, this, tLy.swigValue());
        MethodCollector.o(4902);
    }
}
